<?php
namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use PDOException;
use RedisException;
use Illuminate\Support\Facades\Redis;
use App\Http\Controllers\Controller;

class CheckController extends Controller
{
    public function getCheckDB()
    {
        $dbNames = ['mysql' => '小游戏数据库'];
        foreach ($dbNames as $key => $val) {
            try {
                DB::connection($key)->getPdo();
            } catch (PDOException $e) {
                return response('小游戏(clubAdmin):' . $val . '连接失败(' . $key . ')<br>' . $e->getMessage(), 500);
            }
        }
        return response('OK');
    }
}